package com.uas.platform.b2b.openapi.model;

import java.util.List;

import com.uas.platform.b2b.model.Vendor;

public class CustData<T extends Data> {

	/**
	 * 企业ID
	 */
	private long custId;
	/**
	 * 企业名称
	 */
	private String custName;
	private List<T> datas;

	public long getCustId() {
		return custId;
	}

	public void setCustId(long custId) {
		this.custId = custId;
	}

	public String getCustName() {
		return custName;
	}

	public void setCustName(String custName) {
		this.custName = custName;
	}

	public List<T> getDatas() {
		return datas;
	}

	public void setDatas(List<T> datas) {
		this.datas = datas;
	}

	public CustData(Vendor cust, List<T> datas) {
		this.custId = cust.getMyEnUU();
		this.custName = cust.getMyEnterprise().getEnName();
		this.datas = datas;
	}

}
